[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Crush 2.0 abandoned


2009/8/21 Wookey <wookey@wookware.org>:
>> 5. Get the toolchains back into installable state - I can't upgrade my
>> own armel boxes today but I don't have time to investigate why. Build
>> scripts that ensure that this persistent problem is fixed for the long
>> term and across all supported architectures.
> This is a persistent problem, which I know puts off a lot of potential
> users as they fall at this first hurdle. Removing the gcc-base
> dependency would help a lot. We have done so in the past, but it tends
> to come back. That's a nice simple, discreet job for someone to work on.

I looked to this issue, AFAICT, gcc have a gcc-base dependency, which
it is overwritten for crossbuilds by a gcc-base-cross dependency. In
the past we wrote a awk line that s/gcc-base-cross// which i do not
like much (semi-evil hack).
I believe the real problem of uninstallability it is on the libgcc1
(latter version) dependency. I need time to look into this, but if you
like to search which it is the real problem of uninstallability, we
can think on the good fix for it.

Cheers and happy weekend :-)

 Héctor Orón

Reply to: